@import '~antd/es/style/themes/default.less';

html,
body,
#root {
  height: 100%;
}

.colorWeak {
  filter: invert(80%);
}

.ant-layout {
  min-height: 100vh;
}

canvas {
  display: block;
}

body {
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

ul,
ol {
  list-style: none;
}

@media (max-width: @screen-xs) {
  .ant-table {
    width: 100%;
    overflow-x: auto;
    &-thead > tr,
    &-tbody > tr {
      > th,
      > td {
        white-space: pre;
        > span {
          display: block;
        }
      }
    }
  }
}

// 兼容IE11
@media screen and(-ms-high-contrast: active), (-ms-high-contrast: none) {
  body .ant-design-pro > .ant-layout {
    min-height: 100vh;
  }
}


.ant-menu.ant-menu-dark .ant-menu-item-selected, .ant-menu-submenu-popup.ant-menu-dark .ant-menu-item-selected {
  background-color: #021e3a;
}

.ant-pro-basicLayout-content {
  position: relative;
  margin: 24px;
  transition: all 0.2s;
  width: 70%;
  margin: 0 auto;
  margin-top: 40px;
}

@media screen and (max-width: 1300px) {
  .ant-pro-basicLayout-content {
    position: relative;
    margin: 24px;
    transition: all 0.2s;
    width: 90%;
    margin: 0 auto;
    margin-top: 40px;
  }
}

.swagger-ui a.nostyle, .swagger-ui a.nostyle:visited {
  font-family: monospace;
  text-decoration: inherit;
  color: inherit;
  cursor: pointer;
  font-weight: 600;
}

.swagger-ui .info .title {
  font-size: 36px;
  margin: 0;
  font-family: monospace;
  color: #3b4151;
  font-weight: 600;
}

.ant-pro-basicLayout-content {
  position: relative;
  margin: 24px;
  transition: all 0.2s;
  width: 70%;
  margin: 0 auto;
  margin-top: 40px;
  min-height: 100vh !important;
}
